/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.interfaces;


import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.io.Serializable;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public interface IControlegrpacesso extends VertxPojo, Serializable {

    /**
     * Setter for <code>public.controlegrpacesso.congrpid</code>.
     */
    public IControlegrpacesso setCongrpid(Integer value);

    /**
     * Getter for <code>public.controlegrpacesso.congrpid</code>.
     */
    public Integer getCongrpid();

    /**
     * Setter for <code>public.controlegrpacesso.fkconid</code>.
     */
    public IControlegrpacesso setFkconid(Integer value);

    /**
     * Getter for <code>public.controlegrpacesso.fkconid</code>.
     */
    public Integer getFkconid();

    /**
     * Setter for <code>public.controlegrpacesso.fkgrpid</code>.
     */
    public IControlegrpacesso setFkgrpid(Integer value);

    /**
     * Getter for <code>public.controlegrpacesso.fkgrpid</code>.
     */
    public Integer getFkgrpid();

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface IControlegrpacesso
     */
    public void from(com.tabajara.base.tables.interfaces.IControlegrpacesso from);

    /**
     * Copy data into another generated Record/POJO implementing the common interface IControlegrpacesso
     */
    public <E extends com.tabajara.base.tables.interfaces.IControlegrpacesso> E into(E into);

    @Override
    public default IControlegrpacesso fromJson(io.vertx.core.json.JsonObject json) {
        setCongrpid(json.getInteger("congrpid"));
        setFkconid(json.getInteger("fkconid"));
        setFkgrpid(json.getInteger("fkgrpid"));
        return this;
    }


    @Override
    public default io.vertx.core.json.JsonObject toJson() {
        io.vertx.core.json.JsonObject json = new io.vertx.core.json.JsonObject();
        json.put("congrpid",getCongrpid());
        json.put("fkconid",getFkconid());
        json.put("fkgrpid",getFkgrpid());
        return json;
    }

}
